use iced::window::Settings;
use iced::Size;
use todo::Todo;

mod todo;
mod db;

fn main() -> iced::Result {
    let settings = Settings {
        size: Size::new(500.0, 600.0),
        //resizable: false,
        ..Settings::default()
    };
    
    iced::application("To Do App", Todo::update, Todo::view)
        .subscription(Todo::subscription)
        .theme(Todo::theme)
        .window(settings)
        .run()
}

/*fn main() {
    let path: &Path = Path::new("./todolist-db.db3");
    let conn = startup(path);
    let t = Task {
        checked: true,
        value: String::from("JJ"),
    };
    let c = conn.unwrap();
    let r = db::insert_task(t, &c);
    println!("{:?}", r);
    
    let rr = db::get_tasks(&c);
    
    let x = c.close();
}*/